Amplify APIReference
Getting all users permitted to a marketer
GET
/marketers/{marketerId}/usersThe response contains an array of a user object that has the following attributes:
| Property | Type | Semantic | Example |
|---|---|---|---|
| name | String | The User's name | "full name" |
| String | The User's email | "a@b.ocm" | |
| creationTime | Time | The time when the user was assigned to the marketer | "2013-01-14 07:19:16" |
| status | String | The User's status - ACTIVE, PENDING, DISABLED | "ACTIVE" |
| invitationId | String | The invitation ID of the user in case the user has a pending invitation | |
| fullName | String | The user's full name | |
| role | User Role | The user's role | "ACCOUNT_MANAGER" |
Authorization
obToken OB-TOKEN-V1<token>
Token obtained from the Obtain a token endpoint or the Amplify API token page. Valid for 30 days.
In: header
Path Parameters
marketerId*string
the Marketer's id
Response Body
application/json
curl -X GET "https://example.com/marketers/00f4b02153ee75f3c9dc4fc128ab041962/users"{ "users": [ { "name": "somename1", "email": "user1@domain.com", "creationTime": "2022-09-20 20:12:23", "status": "ACTIVE", "fullName": "some name1", "role": "ACCOUNT_MANAGER" }, { "name": "somename2", "email": "user2@domain.com", "creationTime": "2022-09-20 20:12:23", "status": "PENDING", "invitationId": "00f4b02153ee75f3c9dc4fc128ab041962", "role": "ACCOUNT_MANAGER" } ]}